datacache <- new.env(hash=TRUE, parent=emptyenv())

rgu34arnug <- function() showQCData("rgu34arnug", datacache)
rgu34arnug_dbconn <- function() dbconn(datacache)
rgu34arnug_dbfile <- function() dbfile(datacache)
rgu34arnug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rgu34arnug_dbInfo <- function() dbInfo(datacache)

rgu34arnugORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rgu34arnug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rgu34arnug", "chip rgu34arnug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("rgu34arnug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rgu34arnug_dbconn())
}

